# Compare subscriptions

`GET /v1/organizations/{organizationId}/subscriptions/compare`

Available as MCP tool `compare-subscriptions` (Read).

Subscription endpoints allow you to review, compare, and manage subscriptions and their related  links to assets (i.e., filters, config modifiers, translation sets).

You must be a member of the environment and be assigned to an engineer role to manage subscriptions. [Learn about roles](https://docs.redoxengine.com/permalink/1OBel3inQAjAnDbgd9QLzM).

### Compare subscriptions

Compare the linked assets of the selected staging and production environments. Each asset is reported with its status, content, and links. Both subscriptions must belong to your organization.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `organizationId` | path | string | Yes | Identifies the Redox organization that you're operating in or on behalf of. |
| `from` | query | number | Yes | Identifies the subscription to compare from (typically the staging subscription). |
| `to` | query | number | Yes | Identifies the subscription to compare to (typically the production subscription). |

## Request example

```bash
curl 'https://api.redoxengine.com/platform/v1/organizations/{organizationId}/subscriptions/compare' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json'
```

## Responses

### 200

Contains a payload with the comparison of the two subscriptions' assets.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No |  |
| `payload.comparison` | object | No |  |
| `payload.comparison.from` | object | No | Describes one of the two subscriptions being compared. |
| `payload.comparison.from.subscription` | object | No |  |
| `payload.comparison.from.subscription.id` | number | No | Displays the unique identifier of the subscription. |
| `payload.comparison.from.subscription.name` | string, nullable | No | Displays the human-readable name of the subscription. |
| `payload.comparison.from.subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.from.subscription.environmentId` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.comparison.from.subscription.environmentFlag` | string | No | Indicates whether the environment is used for development, staging, or production. Possible values: Production, Staging, Development |
| `payload.comparison.from.source` | object | No |  |
| `payload.comparison.from.source.id` | string (uuid) | No | Contains the unique identifier of the source. |
| `payload.comparison.from.source.name` | string | No | Displays the name of the source. |
| `payload.comparison.from.destination` | object | No |  |
| `payload.comparison.from.destination.id` | string (uuid) | No | Contains the unique identifier of the destination. |
| `payload.comparison.from.destination.name` | string | No | Displays the name of the destination. |
| `payload.comparison.to` | object | No | Describes one of the two subscriptions being compared. |
| `payload.comparison.to.subscription` | object | No |  |
| `payload.comparison.to.subscription.id` | number | No | Displays the unique identifier of the subscription. |
| `payload.comparison.to.subscription.name` | string, nullable | No | Displays the human-readable name of the subscription. |
| `payload.comparison.to.subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.to.subscription.environmentId` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `payload.comparison.to.subscription.environmentFlag` | string | No | Indicates whether the environment is used for development, staging, or production. Possible values: Production, Staging, Development |
| `payload.comparison.to.source` | object | No |  |
| `payload.comparison.to.source.id` | string (uuid) | No | Contains the unique identifier of the source. |
| `payload.comparison.to.source.name` | string | No | Displays the name of the source. |
| `payload.comparison.to.destination` | object | No |  |
| `payload.comparison.to.destination.id` | string (uuid) | No | Contains the unique identifier of the destination. |
| `payload.comparison.to.destination.name` | string | No | Displays the name of the destination. |
| `payload.comparison.assets` | object | No | Contains the compared assets grouped by type. |
| `payload.comparison.assets.filters` | Array of object | No |  |
| `payload.comparison.assets.filters[].kind` | string | No | Value: filter |
| `payload.comparison.assets.filters[].status` | string | No | Indicates how an asset differs between the two subscriptions. `in-sync`: the asset has been promoted and the two sides match. `different`: the asset has been promoted but the two sides differ, in content or in link settings. `from-only`: the asset exists only on the `from` side and has never been promoted to the `to` environment. `to-only`: the asset exists only on the `to` side. `promoted-not-linked`: the asset has been promoted to the `to` environment, and `to` describes that promoted asset, but it is not linked to the `to` subscription. Possible values: in-sync, different, from-only, to-only, promoted-not-linked |
| `payload.comparison.assets.filters[].from` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.filters[].from.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.filters[].from.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.filters[].from.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.filters[].from.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.filters[].from.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.filters[].from.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].from.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].from.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.filters[].from.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.filters[].from.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.filters[].from.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].from.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].from.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.filters[].from.content` | object | No | Contains the fields of the filter that define it, independent of any link. |
| `payload.comparison.assets.filters[].from.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.filters[].from.content.action` | string | No | Defines what action should be performed when the filter is applied to a message. Possible values: block-all, send |
| `payload.comparison.assets.filters[].from.content.rules` | Array of object | No | Contains a list of rules that determine when the filter is applied to a message. A filter is only applied if ALL rules are met. |
| `payload.comparison.assets.filters[].from.content.rules[].path` | string | No | Specifies the path to the field(s) that should be evaluated when the filter is applied. This should be a `jsonpath` value. |
| `payload.comparison.assets.filters[].from.content.rules[].values` | Array of string | No | Contains an array of string values that are matched against the path value when the rule is evaluated. |
| `payload.comparison.assets.filters[].from.content.rules[].allowList` | boolean | No | Indicates whether the rule is an allow-list (matches when the value at the specified path is in the values array) or a deny-list (matches when the value at the specified path is NOT in the values array). Defaults to `true` (allow-list). |
| `payload.comparison.assets.filters[].from.content.pathType` | string | No | Specifies the format of the field paths defined for this filter's rules. Both FHIR and data model filters use the `jsonpath` path type. Value: jsonpath |
| `payload.comparison.assets.filters[].from.content.expectedDataModel` | string, nullable | No |  |
| `payload.comparison.assets.filters[].from.usage` | Array of object | No | Contains details about where the filter is being used. |
| `payload.comparison.assets.filters[].from.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.filters[].from.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.filters[].from.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.filters[].from.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.filters[].from.usage[].connectingOrganization` | object | No | Specifies the organization the asset is connected to when the subscription relates to a partner organization. |
| `payload.comparison.assets.filters[].from.usage[].connectingOrganization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.filters[].from.usage[].connectingOrganization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.filters[].from.usage[].subscription` | object | No |  |
| `payload.comparison.assets.filters[].from.usage[].subscription.id` | string (uuid) | No | Contains the unique identifier of the subscription. |
| `payload.comparison.assets.filters[].from.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.filters[].from.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.filters[].from.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.filters[].from.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.filters[].from.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.filters[].from.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.filters[].from.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.filters[].from.usage[].filterId` | string (uuid) | No | Contains the unique identifier of the asset being linked. |
| `payload.comparison.assets.filters[].from.usage[].version` | string | No | Contains the API schema version used for this asset. |
| `payload.comparison.assets.filters[].from.usage[].eventType` | string, nullable | No | Specifies the specific event type for a data model that the link applies to or should apply to. |
| `payload.comparison.assets.filters[].from.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.comparison.assets.filters[].from.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.comparison.assets.filters[].from.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].from.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].from.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.comparison.assets.filters[].from.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.comparison.assets.filters[].from.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].from.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].from.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.comparison.assets.filters[].from.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.comparison.assets.filters[].from.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].from.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].to` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.filters[].to.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.filters[].to.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.filters[].to.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.filters[].to.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.filters[].to.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.filters[].to.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].to.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].to.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.filters[].to.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.filters[].to.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.filters[].to.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].to.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].to.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.filters[].to.content` | object | No | Contains the fields of the filter that define it, independent of any link. |
| `payload.comparison.assets.filters[].to.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.filters[].to.content.action` | string | No | Defines what action should be performed when the filter is applied to a message. Possible values: block-all, send |
| `payload.comparison.assets.filters[].to.content.rules` | Array of object | No | Contains a list of rules that determine when the filter is applied to a message. A filter is only applied if ALL rules are met. |
| `payload.comparison.assets.filters[].to.content.rules[].path` | string | No | Specifies the path to the field(s) that should be evaluated when the filter is applied. This should be a `jsonpath` value. |
| `payload.comparison.assets.filters[].to.content.rules[].values` | Array of string | No | Contains an array of string values that are matched against the path value when the rule is evaluated. |
| `payload.comparison.assets.filters[].to.content.rules[].allowList` | boolean | No | Indicates whether the rule is an allow-list (matches when the value at the specified path is in the values array) or a deny-list (matches when the value at the specified path is NOT in the values array). Defaults to `true` (allow-list). |
| `payload.comparison.assets.filters[].to.content.pathType` | string | No | Specifies the format of the field paths defined for this filter's rules. Both FHIR and data model filters use the `jsonpath` path type. Value: jsonpath |
| `payload.comparison.assets.filters[].to.content.expectedDataModel` | string, nullable | No |  |
| `payload.comparison.assets.filters[].to.usage` | Array of object | No | Contains details about where the filter is being used. |
| `payload.comparison.assets.filters[].to.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.filters[].to.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.filters[].to.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.filters[].to.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.filters[].to.usage[].connectingOrganization` | object | No | Specifies the organization the asset is connected to when the subscription relates to a partner organization. |
| `payload.comparison.assets.filters[].to.usage[].connectingOrganization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.filters[].to.usage[].connectingOrganization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.filters[].to.usage[].subscription` | object | No |  |
| `payload.comparison.assets.filters[].to.usage[].subscription.id` | string (uuid) | No | Contains the unique identifier of the subscription. |
| `payload.comparison.assets.filters[].to.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.filters[].to.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.filters[].to.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.filters[].to.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.filters[].to.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.filters[].to.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.filters[].to.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.filters[].to.usage[].filterId` | string (uuid) | No | Contains the unique identifier of the asset being linked. |
| `payload.comparison.assets.filters[].to.usage[].version` | string | No | Contains the API schema version used for this asset. |
| `payload.comparison.assets.filters[].to.usage[].eventType` | string, nullable | No | Specifies the specific event type for a data model that the link applies to or should apply to. |
| `payload.comparison.assets.filters[].to.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.comparison.assets.filters[].to.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.comparison.assets.filters[].to.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].to.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].to.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.comparison.assets.filters[].to.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.comparison.assets.filters[].to.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].to.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.filters[].to.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.comparison.assets.filters[].to.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.comparison.assets.filters[].to.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.filters[].to.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.configModifiers` | Array of object | No |  |
| `payload.comparison.assets.configModifiers[].kind` | string | No | Value: configModifier |
| `payload.comparison.assets.configModifiers[].status` | string | No | Indicates how an asset differs between the two subscriptions. `in-sync`: the asset has been promoted and the two sides match. `different`: the asset has been promoted but the two sides differ, in content or in link settings. `from-only`: the asset exists only on the `from` side and has never been promoted to the `to` environment. `to-only`: the asset exists only on the `to` side. `promoted-not-linked`: the asset has been promoted to the `to` environment, and `to` describes that promoted asset, but it is not linked to the `to` subscription. Possible values: in-sync, different, from-only, to-only, promoted-not-linked |
| `payload.comparison.assets.configModifiers[].from` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.configModifiers[].from.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.configModifiers[].from.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.configModifiers[].from.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.configModifiers[].from.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.configModifiers[].from.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.configModifiers[].from.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.configModifiers[].from.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.configModifiers[].from.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.configModifiers[].from.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.configModifiers[].from.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.configModifiers[].from.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.configModifiers[].from.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.configModifiers[].from.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.configModifiers[].from.content` | object | No | Contains the fields of the config modifier that define it, independent of any link. |
| `payload.comparison.assets.configModifiers[].from.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.configModifiers[].from.content.selector` | string, nullable | No | Indicates the location(s) within the payload that this config modifier operates on. |
| `payload.comparison.assets.configModifiers[].from.content.flavor` | string | No | Possible values: put, delete |
| `payload.comparison.assets.configModifiers[].from.content.schema` | object, nullable | No | Indicates how to build the value at the location the selector specifies. |
| `payload.comparison.assets.configModifiers[].from.usage` | Array of object | No | Lists the config modifier's subscription links. |
| `payload.comparison.assets.configModifiers[].from.usage[].ownedBy` | string | No | Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link. Possible values: source, destination |
| `payload.comparison.assets.configModifiers[].from.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.configModifiers[].from.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.configModifiers[].from.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.configModifiers[].from.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.configModifiers[].from.usage[].connectingOrganization` | object | No | Specifies the organization the asset is connected to when the subscription relates to a partner organization. |
| `payload.comparison.assets.configModifiers[].from.usage[].connectingOrganization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.configModifiers[].from.usage[].connectingOrganization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.configModifiers[].from.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription` | object | No |  |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.configModifiers[].from.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.configModifiers[].from.usage[].eventTypes` | Array of string, nullable | No | Specifies the event types of the given Redox data model that the link applies to. If `null`, the config modifier is linked to all event types of the data model. |
| `payload.comparison.assets.configModifiers[].from.usage[].processingOrder` | object | No | Contains the details for the processing order of the config modifiers linked to a given subscription. |
| `payload.comparison.assets.configModifiers[].from.usage[].processingOrder.order` | number, nullable | No | Specifies the order that the config modifiers should run at the given processing location. |
| `payload.comparison.assets.configModifiers[].from.usage[].processingOrder.total` | number | No | Displays the total number of config modifier links for the given subscription and processing location. |
| `payload.comparison.assets.configModifiers[].to` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.configModifiers[].to.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.configModifiers[].to.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.configModifiers[].to.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.configModifiers[].to.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.configModifiers[].to.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.configModifiers[].to.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.configModifiers[].to.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.configModifiers[].to.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.configModifiers[].to.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.configModifiers[].to.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.configModifiers[].to.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.configModifiers[].to.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.configModifiers[].to.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.configModifiers[].to.content` | object | No | Contains the fields of the config modifier that define it, independent of any link. |
| `payload.comparison.assets.configModifiers[].to.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.configModifiers[].to.content.selector` | string, nullable | No | Indicates the location(s) within the payload that this config modifier operates on. |
| `payload.comparison.assets.configModifiers[].to.content.flavor` | string | No | Possible values: put, delete |
| `payload.comparison.assets.configModifiers[].to.content.schema` | object, nullable | No | Indicates how to build the value at the location the selector specifies. |
| `payload.comparison.assets.configModifiers[].to.usage` | Array of object | No | Lists the config modifier's subscription links. |
| `payload.comparison.assets.configModifiers[].to.usage[].ownedBy` | string | No | Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link. Possible values: source, destination |
| `payload.comparison.assets.configModifiers[].to.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.configModifiers[].to.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.configModifiers[].to.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.configModifiers[].to.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.configModifiers[].to.usage[].connectingOrganization` | object | No | Specifies the organization the asset is connected to when the subscription relates to a partner organization. |
| `payload.comparison.assets.configModifiers[].to.usage[].connectingOrganization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.configModifiers[].to.usage[].connectingOrganization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.configModifiers[].to.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription` | object | No |  |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.configModifiers[].to.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.configModifiers[].to.usage[].eventTypes` | Array of string, nullable | No | Specifies the event types of the given Redox data model that the link applies to. If `null`, the config modifier is linked to all event types of the data model. |
| `payload.comparison.assets.configModifiers[].to.usage[].processingOrder` | object | No | Contains the details for the processing order of the config modifiers linked to a given subscription. |
| `payload.comparison.assets.configModifiers[].to.usage[].processingOrder.order` | number, nullable | No | Specifies the order that the config modifiers should run at the given processing location. |
| `payload.comparison.assets.configModifiers[].to.usage[].processingOrder.total` | number | No | Displays the total number of config modifier links for the given subscription and processing location. |
| `payload.comparison.assets.translationSets` | Array of object | No |  |
| `payload.comparison.assets.translationSets[].kind` | string | No | Value: translationSet |
| `payload.comparison.assets.translationSets[].status` | string | No | Indicates how an asset differs between the two subscriptions. `in-sync`: the asset has been promoted and the two sides match. `different`: the asset has been promoted but the two sides differ, in content or in link settings. `from-only`: the asset exists only on the `from` side and has never been promoted to the `to` environment. `to-only`: the asset exists only on the `to` side. `promoted-not-linked`: the asset has been promoted to the `to` environment, and `to` describes that promoted asset, but it is not linked to the `to` subscription. Possible values: in-sync, different, from-only, to-only, promoted-not-linked |
| `payload.comparison.assets.translationSets[].from` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.translationSets[].from.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.translationSets[].from.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.translationSets[].from.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.translationSets[].from.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.translationSets[].from.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.translationSets[].from.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].from.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].from.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.translationSets[].from.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.translationSets[].from.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.translationSets[].from.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].from.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].from.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.translationSets[].from.content` | object | No | Contains the fields of the translation set that define it, including every translation. |
| `payload.comparison.assets.translationSets[].from.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.translationSets[].from.content.fromValueSetName` | string | No |  |
| `payload.comparison.assets.translationSets[].from.content.toValueSetName` | string | No |  |
| `payload.comparison.assets.translationSets[].from.content.isCaseSensitive` | boolean | No |  |
| `payload.comparison.assets.translationSets[].from.content.translations` | Array of object | No |  |
| `payload.comparison.assets.translationSets[].from.content.translations[].fromValue` | string | No |  |
| `payload.comparison.assets.translationSets[].from.content.translations[].toValue` | string | No |  |
| `payload.comparison.assets.translationSets[].from.usage` | Array of object | No | Lists the translation set's subscription links. |
| `payload.comparison.assets.translationSets[].from.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription` | object | No |  |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.translationSets[].from.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.translationSets[].from.usage[].expectedDataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.translationSets[].from.usage[].direction` | string | No | Indicates the direction in which the translation set is or should be linked. This can be either `from-to` (translates a "from" value into a "to" value), or `to-from` (tranlates a "to" value into a "from" value). Possible values: from-to, to-from |
| `payload.comparison.assets.translationSets[].from.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.comparison.assets.translationSets[].from.usage[].paths` | Array of object | No | Lists the field paths linked to a translation set. These paths must be unique on the path property. |
| `payload.comparison.assets.translationSets[].from.usage[].paths[].dataType` | string | No | Describes the format of the data found at the path location. |
| `payload.comparison.assets.translationSets[].from.usage[].paths[].title` | string | No | Specifies a human-readable title for the field path. |
| `payload.comparison.assets.translationSets[].from.usage[].paths[].path` | string | No | Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid. |
| `payload.comparison.assets.translationSets[].from.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.translationSets[].from.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.translationSets[].from.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.translationSets[].from.usage[].connectingOrganization` | object | No | Specifies the organization at the other side of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].from.usage[].connectingOrganization.id` | number | Yes | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.translationSets[].from.usage[].version` | string | No | Specifies the version of the translation set link. Right now this will always be '1.0.0'. Value: 1.0.0 |
| `payload.comparison.assets.translationSets[].from.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.comparison.assets.translationSets[].from.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.comparison.assets.translationSets[].from.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].from.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].from.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.comparison.assets.translationSets[].from.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.comparison.assets.translationSets[].from.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].from.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].from.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.comparison.assets.translationSets[].from.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.comparison.assets.translationSets[].from.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].from.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].to` | object, nullable | No | Describes the asset on one side of the comparison. Set to `null` when the asset is absent on that side. |
| `payload.comparison.assets.translationSets[].to.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `payload.comparison.assets.translationSets[].to.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.translationSets[].to.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `payload.comparison.assets.translationSets[].to.createdAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.translationSets[].to.createdBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.translationSets[].to.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].to.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].to.createdBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.translationSets[].to.updatedAt` | string (date-time), nullable | No |  |
| `payload.comparison.assets.translationSets[].to.updatedBy` | object, nullable | No | Contains metadata about the user. |
| `payload.comparison.assets.translationSets[].to.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].to.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].to.updatedBy.email` | string, nullable | No | Displays the user's email address. |
| `payload.comparison.assets.translationSets[].to.content` | object | No | Contains the fields of the translation set that define it, including every translation. |
| `payload.comparison.assets.translationSets[].to.content.name` | string | No | Contains the human-readable name of the asset. |
| `payload.comparison.assets.translationSets[].to.content.fromValueSetName` | string | No |  |
| `payload.comparison.assets.translationSets[].to.content.toValueSetName` | string | No |  |
| `payload.comparison.assets.translationSets[].to.content.isCaseSensitive` | boolean | No |  |
| `payload.comparison.assets.translationSets[].to.content.translations` | Array of object | No |  |
| `payload.comparison.assets.translationSets[].to.content.translations[].fromValue` | string | No |  |
| `payload.comparison.assets.translationSets[].to.content.translations[].toValue` | string | No |  |
| `payload.comparison.assets.translationSets[].to.usage` | Array of object | No | Lists the translation set's subscription links. |
| `payload.comparison.assets.translationSets[].to.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription` | object | No |  |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.source.name` | string, nullable | No | Specifies the name of the source. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `payload.comparison.assets.translationSets[].to.usage[].subscription.destination.name` | string, nullable | No | Specifies the name of the destination. |
| `payload.comparison.assets.translationSets[].to.usage[].expectedDataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `payload.comparison.assets.translationSets[].to.usage[].direction` | string | No | Indicates the direction in which the translation set is or should be linked. This can be either `from-to` (translates a "from" value into a "to" value), or `to-from` (tranlates a "to" value into a "from" value). Possible values: from-to, to-from |
| `payload.comparison.assets.translationSets[].to.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.comparison.assets.translationSets[].to.usage[].paths` | Array of object | No | Lists the field paths linked to a translation set. These paths must be unique on the path property. |
| `payload.comparison.assets.translationSets[].to.usage[].paths[].dataType` | string | No | Describes the format of the data found at the path location. |
| `payload.comparison.assets.translationSets[].to.usage[].paths[].title` | string | No | Specifies a human-readable title for the field path. |
| `payload.comparison.assets.translationSets[].to.usage[].paths[].path` | string | No | Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid. |
| `payload.comparison.assets.translationSets[].to.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `payload.comparison.assets.translationSets[].to.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.translationSets[].to.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `payload.comparison.assets.translationSets[].to.usage[].connectingOrganization` | object | No | Specifies the organization at the other side of the subscription that an asset is or should be linked to. |
| `payload.comparison.assets.translationSets[].to.usage[].connectingOrganization.id` | number | Yes | Contains the unique identifier of the Redox organization. |
| `payload.comparison.assets.translationSets[].to.usage[].version` | string | No | Specifies the version of the translation set link. Right now this will always be '1.0.0'. Value: 1.0.0 |
| `payload.comparison.assets.translationSets[].to.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `payload.comparison.assets.translationSets[].to.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `payload.comparison.assets.translationSets[].to.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].to.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].to.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `payload.comparison.assets.translationSets[].to.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `payload.comparison.assets.translationSets[].to.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].to.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `payload.comparison.assets.translationSets[].to.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `payload.comparison.assets.translationSets[].to.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `payload.comparison.assets.translationSets[].to.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `payload.comparison.assets.translationSets[].to.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "comparison": {
      "from": {
        "subscription": {
          "id": 0,
          "name": "string",
          "dataModel": "PatientAdmin",
          "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
          "environmentFlag": "Staging"
        },
        "source": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        },
        "destination": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        }
      },
      "to": {
        "subscription": {
          "id": 0,
          "name": "string",
          "dataModel": "PatientAdmin",
          "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
          "environmentFlag": "Staging"
        },
        "source": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        },
        "destination": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        }
      },
      "assets": {
        "filters": [
          {
            "kind": "filter",
            "status": "in-sync",
            "from": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "action": "send",
                "rules": [
                  {
                    "path": "$.Patient.Demographics.FirstName",
                    "values": [
                      "string"
                    ],
                    "allowList": true
                  }
                ],
                "pathType": "jsonpath",
                "expectedDataModel": "string"
              },
              "usage": []
            },
            "to": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "action": "send",
                "rules": [
                  {
                    "path": "$.Patient.Demographics.FirstName",
                    "values": [
                      "string"
                    ],
                    "allowList": true
                  }
                ],
                "pathType": "jsonpath",
                "expectedDataModel": "string"
              },
              "usage": []
            }
          }
        ],
        "configModifiers": [
          {
            "kind": "configModifier",
            "status": "in-sync",
            "from": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "selector": "string",
                "flavor": "put",
                "schema": {}
              },
              "usage": []
            },
            "to": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "selector": "string",
                "flavor": "put",
                "schema": {}
              },
              "usage": []
            }
          }
        ],
        "translationSets": [
          {
            "kind": "translationSet",
            "status": "in-sync",
            "from": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "fromValueSetName": "string",
                "toValueSetName": "string",
                "isCaseSensitive": true,
                "translations": [
                  {
                    "fromValue": "string",
                    "toValue": "string"
                  }
                ]
              },
              "usage": [
                {
                  "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
                  "subscription": {
                    "dataModel": "PatientAdmin",
                    "source": {
                      "name": "string",
                      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                    },
                    "destination": {
                      "name": "string",
                      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                    }
                  },
                  "expectedDataModel": "PatientAdmin",
                  "direction": "to-from",
                  "processingLocation": "source-request",
                  "paths": [
                    {
                      "dataType": "string",
                      "title": "Custom Path",
                      "path": "$.Allergies[*].Type.Code"
                    }
                  ],
                  "organization": {
                    "id": 122,
                    "name": "string"
                  },
                  "connectingOrganization": {
                    "id": 122
                  },
                  "version": "1.0.0",
                  "createdAt": "2024-04-25T18:17:16.719Z",
                  "createdBy": {
                    "id": 0,
                    "name": "string"
                  },
                  "updatedAt": "2024-04-25T18:17:16.719Z",
                  "updatedBy": {
                    "id": 0,
                    "name": "string"
                  },
                  "deletedAt": "2024-04-25T18:17:16.719Z",
                  "deletedBy": {
                    "id": 0,
                    "name": "string"
                  }
                }
              ]
            },
            "to": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "string",
              "version": 2,
              "createdAt": "2019-08-24T14:15:22Z",
              "createdBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "updatedAt": "2019-08-24T14:15:22Z",
              "updatedBy": {
                "id": 0,
                "name": "string",
                "email": "string"
              },
              "content": {
                "name": "string",
                "fromValueSetName": "string",
                "toValueSetName": "string",
                "isCaseSensitive": true,
                "translations": [
                  {
                    "fromValue": "string",
                    "toValue": "string"
                  }
                ]
              },
              "usage": [
                {
                  "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
                  "subscription": {
                    "dataModel": "PatientAdmin",
                    "source": {
                      "name": "string",
                      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                    },
                    "destination": {
                      "name": "string",
                      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                    }
                  },
                  "expectedDataModel": "PatientAdmin",
                  "direction": "to-from",
                  "processingLocation": "source-request",
                  "paths": [
                    {
                      "dataType": "string",
                      "title": "Custom Path",
                      "path": "$.Allergies[*].Type.Code"
                    }
                  ],
                  "organization": {
                    "id": 122,
                    "name": "string"
                  },
                  "connectingOrganization": {
                    "id": 122
                  },
                  "version": "1.0.0",
                  "createdAt": "2024-04-25T18:17:16.719Z",
                  "createdBy": {
                    "id": 0,
                    "name": "string"
                  },
                  "updatedAt": "2024-04-25T18:17:16.719Z",
                  "updatedBy": {
                    "id": 0,
                    "name": "string"
                  },
                  "deletedAt": "2024-04-25T18:17:16.719Z",
                  "deletedBy": {
                    "id": 0,
                    "name": "string"
                  }
                }
              ]
            }
          }
        ]
      }
    }
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
